Data A/B Test Search (deprecated)

POST A/B Test Search

POST /sites/{site_id}/ab_test_search

Operation ID: A/B Test Search. Tags: sites. Security: oauth2_application.

Searches for A/B Tests.

The query attribute specifies a complex query that can be used to narrow down the search. This is the list of searchable attributes:

  • id - String

  • description - String

  • enabled - Boolean

  • paused - Boolean

  • key_metric_id - String

  • email_addresses - String

  • tags- String

  • expiration_type - String enum[session, never]

  • start_date - DateTime

  • end_date - DateTime

These fields can only be used in Queries as conjunctions (using AND). If the field is used in a disjunction (OR) an exception will be thrown.

The output of the query can also be sorted. These are the list of sortable attributes:

  • id - String

  • description - String

  • enabled - Boolean

  • paused - Boolean

  • key_metric_id - String

This endpoint may return the following faults:

  • 404 - SiteNotFoundException - Indicates that site specified with the given id is unknown.

Parameters

  • site_id (path, string, required) ID of the site that the A/B tests are contained within.
    Minimum length: 1. Maximum length: 256.

Request body (required)

Media type: application/json, text/xml. Schema: search_request.

Responses

  • 404 SiteNotFoundException - Indicates that site specified with the given id is unknown.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: ab_test_search_result.